## com.gargoylesoftware.htmlunit
Interface DownloadedContent

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  DownloadedContent.InMemory, DownloadedContent.OnFile, DownloadedContent.OnTempFile

    public interface DownloadedContent

extends java.io.Serializable

Wrapper for content downloaded from a remote server.

Version:
  $Revision: 6204 $
Author:
  Marc Guillemot

Nested Class Summary
`static class` `DownloadedContent.InMemory` Implementation keeping content in memory.
`static class` `DownloadedContent.OnFile` Implementation keeping content on the file system.
`static class` `DownloadedContent.OnTempFile`

Method Summary
`java.io.InputStream` `getInputStream()` Returns a new `InputStream` allowing to read the downloaded content.

Method Detail

### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Returns a new `InputStream` allowing to read the downloaded content.

  Returns:
    the InputStream
  Throws:
    `java.io.IOException` - in case of problem accessing the content

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.